package com.fs.fastGpt.service;

import com.fs.fastGpt.domain.FastGptChatMsg;
import com.fs.fastGpt.domain.FastGptChatSession;
import com.fs.fastGpt.param.FastGptChatMsgListCParam;
import com.fs.fastGpt.vo.FastGptChatMsgCVO;
import com.fs.fastGpt.vo.FastGptChatMsgListCVO;

import java.util.List;

/**
 * 聊天记录Service接口
 *
 * @author fs
 * @date 2024-10-10
 */
public interface IFastGptChatMsgService
{
    /**
     * 查询聊天记录
     *
     * @param msgId 聊天记录主键
     * @return 聊天记录
     */
    public FastGptChatMsg selectFastGptChatMsgByMsgId(Long msgId);

    /**
     * 查询聊天记录列表
     *
     * @param fastGptChatMsg 聊天记录
     * @return 聊天记录集合
     */
    public List<FastGptChatMsg> selectFastGptChatMsgList(FastGptChatMsg fastGptChatMsg);

    /**
     * 新增聊天记录
     *
     * @param fastGptChatMsg 聊天记录
     * @return 结果
     */
    public int insertFastGptChatMsg(FastGptChatMsg fastGptChatMsg);

    /**
     * 修改聊天记录
     *
     * @param fastGptChatMsg 聊天记录
     * @return 结果
     */
    public int updateFastGptChatMsg(FastGptChatMsg fastGptChatMsg);

    /**
     * 批量删除聊天记录
     *
     * @param msgIds 需要删除的聊天记录主键集合
     * @return 结果
     */
    public int deleteFastGptChatMsgByMsgIds(Long[] msgIds);

    /**
     * 删除聊天记录信息
     *
     * @param msgId 聊天记录主键
     * @return 结果
     */
    public int deleteFastGptChatMsgByMsgId(Long msgId);

    List<FastGptChatMsgCVO> selectFastGptChatMsgCVOBySessionId(Long sessionId);

    List<FastGptChatMsgListCVO> selectFastGptChatMsgListCVO(FastGptChatMsgListCParam param);

    FastGptChatMsgCVO selectFastGptChatMsgVOByMsgId(Long msgId);

    String selectUserContent(Long msgId,String userId,Long roleId);


    List<FastGptChatMsg> selectFastGptChatMsgByMsgSessionId(Long sessionId);
}
